# classes/phing/tasks/system/AdhocTypedefTask.php

A class for creating adhoc datatypes in build file.

author
  Hans Lellelid
package
  phing.tasks.system
version
  $Revision: 526 $

## \AdhocTypedefTask
jump to top

A class for creating adhoc datatypes in build file.

By itself this class can be used to declare a single class within your buildfile. You can then reference this class in any task that takes custom classes (selectors, mappers, filters, etc.)

Subclasses exist for conveniently declaring and registering tasks and types.

Extends from
  \AdhocTask
author
  Hans Lellelid
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
version
  $Revision: 526 $

### Properties

`$name= ''`

The tag that refers to this task.

Details

Type

### Methods

`main( ) :`
Main entry point
`setName( string $name ) :`
Set the tag that will represent this adhoc task/type.
Parameters

Name | Type | Description
--- | --- | ---
$name | string |

Documentation was generated by DocBlox 0.13.1.